# $Revision: 1.7 $, $Date: 2004/08/19 05:03:34 $
Summary:	D - The Directory Lister
Summary(pl):	D - wywietlacz katalogw
Name:		d
Version:	1.2.0
Release:	4
License:	GPL v2+
Group:		Applications/System
Source0:	http://pages.xtn.net/~ecogburn/%{name}-%{version}.tar.bz2
# Source0-md5:	7ce4ee18fd220588eab2c798e22b76a6
Patch0:		%{name}-opt.patch
Patch1:		%{name}-types.patch
Patch2:		%{name}-info.patch
URL:		http://pages.xtn.net/~ecogburn/d.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	help2man
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D is an alternative to ls and its long format output. It optimizes the
output to create more space for the filename and reduce the chance of
wrap around. It also has a --dirs-first option to always print
directories before regular files regardless of the current sort
option. Those familiar with Midnight Commander will recognize this
behavior. It allows for system and user configuration files, which can
specify several options that are available on the command line, as
well as the 'color' option which can be used to completely customize
the colorization of output, like ls but in a more convenient
configuration file.

%description -l pl
D jest alternatyw dla ls i jego dugiego wyjcia. Optymalizuje
wyjcie by uzyska wicej miejsca na nazw plikw i redukuje
prawdopodobiestwo zawinicia listingu. Posiada take opcj
--dirs-first wypisujc zawsze katalogi przed normalnymi plikami
niezalenie od akutalnie ustawionych opcji sortowania. Pozwala na
pliki konfiguracyjne w systemie oraz na koncie uytkownika,
pozwalajce ustawi kilkanacie opcji dostpnych z lini polece, jak
take opcj color pozwalajc cakowicie zmieni kolory wyjscie,
podobnie jak w ls, ale w bardziej wygodnym pliku konfiguracyjnym.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: d.spec,v $
Revision 1.7  2004/08/19 05:03:34  averne
- rel 4

Revision 1.6  2004/08/19 04:59:36  averne
- refresh config.sub

Revision 1.5  2003/12/01 07:30:58  qboosh
- added opt,types,info patches (the 2nd fixes build on 64-bit archs)
- BR: libstdc++-devel, texinfo
- release 3

Revision 1.4  2003/12/01 00:23:45  undefine
- release 2 to rebuild with ac

Revision 1.3  2003/08/31 10:07:03  undefine
- update to 1.2.0

Revision 1.2  2003/08/25 17:41:25  undefine
- update to 1.1.0

Revision 1.1  2003/08/21 22:43:00  undefine
- initial pld version
